Skip to navigation

Delete versions of elastic template

View as Markdown

Deletes all versions of an elastic template, or only the ones specified in the clickwrapVersionIds query parameter.

Note: Be sure to check the deletionSuccess and deletionMessage properties in the response.

Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

clickwrapIdstringRequired
The GUID of the elastic template.

Query parameters

clickwrapVersionIdsstringOptional

A comma-separated list of elastic template version IDs to delete.

Response

Successful response.
clickwrapIdstringOptional
The GUID of the elastic template.
clickwrapNamestringOptional
The name of the elastic template.
versionslist of objectsOptional
An array of delete responses.

Errors

400
Bad Request Error